#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x3e5616d8, "module_layout" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x751b6463, "kmalloc_caches" },
	{ 0xb3635b01, "_raw_spin_lock_bh" },
	{ 0xb348a850, "ex_handler_refcount" },
	{ 0x3605567c, "__pskb_pull_tail" },
	{ 0x7c32d0f0, "printk" },
	{ 0x38ad648b, "skb_push" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x49c41a57, "_raw_spin_unlock_bh" },
	{ 0xd739017, "kfree_skb" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x604f1c48, "kmem_cache_alloc_trace" },
	{ 0x3789c3a, "skb_pull_rcsum" },
	{ 0x9e89c994, "llc_sap_open" },
	{ 0x37a0cba, "kfree" },
	{ 0x35e36de0, "llc_sap_close" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5d41b871, "llc_build_and_send_ui_pkt" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=llc";


MODULE_INFO(srcversion, "4726E2E25AEF8F9AD7B3BA8");
